
  .searchbody {
    padding: 0;
    margin: 0;
    height: 100vh;
    width: 100%;
    
}

.formsearch{
    position: relative;
    top: 40%;
    left: 50%;
    transform: translate(-50%,-50%);
    transition: all 1s;
    width: 50px;
    height: 50px;
    background: white;
    box-sizing: border-box;
    border-radius: 25px;
    border: 4px solid white;
    padding: 15px;
}

.forminput{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;;
    height: 42.5px;
    line-height: 30px;
    outline: 0;
    border: 0;
    display: none;
    font-size: 1em;
    border-radius: 20px;
    padding: 0 20px;
}

.fa{
    box-sizing: border-box;
    padding: 10px;
    width: 42.5px;
    height: 42.5px;
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 50%;
    color: #07051a;
    text-align: center;
    font-size: 1.2em;
    transition: all 1s;
}

.formsearch:hover{
    width: 200px;
    cursor: pointer;
}

.formsearch:hover input{
    display: block;
}

.formsearch:hover .fa{
    
    color: white;
}

.hidden-btn{
  background: transparent;
    border: none !important;
    
}

